import { __decorate } from "tslib";
import * as fastComponents from '@microsoft/fast-components';
import { FASTElement, customElement, attr, html, css } from '@microsoft/fast-element';
const styles = css `
  .preview {
    width: 40px;
    height: 40px;
  }
`;
const template = html `
  <div
    class="preview"
    style="background-color: ${(x) => fastComponents[x.tokenName].createCSS()}"
  ></div>
`;
let ColorToken = class ColorToken extends FASTElement {
};
__decorate([
    attr
], ColorToken.prototype, "tokenName", void 0);
ColorToken = __decorate([
    customElement({
        name: 'color-token',
        styles,
        template,
    })
], ColorToken);
export { ColorToken };
